summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--Makefile.am2
-rwxr-xr-xtest/scripts/human_to_size_test.sh2
-rwxr-xr-xtest/scripts/parseopts_test.sh2
-rwxr-xr-xtest/util/pacsorttest.sh4
-rwxr-xr-xtest/util/vercmptest.sh2
5 files changed, 6 insertions, 6 deletions
diff --git a/Makefile.am b/Makefile.am
index 0ba39ca2..4d5adae3 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -36,7 +36,7 @@ TEST_EXTENSIONS = .py
AM_TESTS_ENVIRONMENT = \
PMTEST_UTIL_DIR=$(top_builddir)/src/util/; export PMTEST_UTIL_DIR; \
PMTEST_SCRIPTLIB_DIR=$(top_srcdir)/scripts/library/; export PMTEST_SCRIPTLIB_DIR;
-TEST_LOG_DRIVER = env AM_TAP_AWK='$(AWK)' $(SHELL) \
+LOG_DRIVER = env AM_TAP_AWK='$(AWK)' $(SHELL) \
$(top_srcdir)/build-aux/tap-driver.sh
PY_LOG_DRIVER = env AM_TAP_AWK='$(AWK)' $(SHELL) \
$(top_srcdir)/build-aux/tap-driver.sh
diff --git a/test/scripts/human_to_size_test.sh b/test/scripts/human_to_size_test.sh
index 63061372..a467f27e 100755
--- a/test/scripts/human_to_size_test.sh
+++ b/test/scripts/human_to_size_test.sh
@@ -10,7 +10,7 @@ if [[ -z $lib || ! -f $lib ]]; then
fi
. "$lib"
-if ! type -t human_to_size >/dev/null; then
+if ! type -t human_to_size &>/dev/null; then
printf 'Bail out! human_to_size function not found\n'
exit 1
fi
diff --git a/test/scripts/parseopts_test.sh b/test/scripts/parseopts_test.sh
index 5ff4bc55..00bdbd85 100755
--- a/test/scripts/parseopts_test.sh
+++ b/test/scripts/parseopts_test.sh
@@ -10,7 +10,7 @@ if [[ -z $lib || ! -f $lib ]]; then
fi
. "$lib"
-if ! type -t parseopts >/dev/null; then
+if ! type -t parseopts &>/dev/null; then
printf 'Bail out! parseopts function not found\n'
exit 1
fi
diff --git a/test/util/pacsorttest.sh b/test/util/pacsorttest.sh
index ac16c459..ef24a766 100755
--- a/test/util/pacsorttest.sh
+++ b/test/util/pacsorttest.sh
@@ -25,7 +25,7 @@ total=23
run=0
failure=0
-if ! type -p "$bin"; then
+if ! type -p "$bin" &>/dev/null; then
echo "Bail out! pacsort binary ($bin) could not be located"
exit 1
fi
@@ -47,7 +47,7 @@ runtest() {
fi
}
-echo "Running pacsort tests..."
+echo "# Running pacsort tests..."
echo "1..$total"
diff --git a/test/util/vercmptest.sh b/test/util/vercmptest.sh
index a7fd8517..2d74b57f 100755
--- a/test/util/vercmptest.sh
+++ b/test/util/vercmptest.sh
@@ -25,7 +25,7 @@ run=0
failure=0
# use first arg as our binary if specified
-if ! type -p "$bin"; then
+if ! type -p "$bin" &>/dev/null; then
echo "Bail out! vercmp binary ($bin) could not be located"
exit 1
fi